/// <reference path="../pb_data/types.d.ts" />

onMailerRecordAuthAlertSend((e) => {
  const utils = require(`${__hooks}/utils/renderMailTemplate.js`)
  utils.renderMailTemplate(e, 'authAlert')
})

onMailerRecordPasswordResetSend((e) => {
  const utils = require(`${__hooks}/utils/renderMailTemplate.js`)
  utils.renderMailTemplate(e, 'passwordReset')
})

onMailerRecordVerificationSend((e) => {
  const utils = require(`${__hooks}/utils/renderMailTemplate.js`)
  utils.renderMailTemplate(e, 'verification')
})

onMailerRecordEmailChangeSend((e) => {
  const utils = require(`${__hooks}/utils/renderMailTemplate.js`)
  utils.renderMailTemplate(e, 'emailChange')
})

onMailerRecordOTPSend((e) => {
  const utils = require(`${__hooks}/utils/renderMailTemplate.js`)
  utils.renderMailTemplate(e, 'otp')
})
